Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.server
Class AtomRequestImpl

    java.lang.Object
      com.sun.syndication.propono.atom.server.AtomRequestImpl

All Implemented Interfaces:
  AtomRequest

    public class AtomRequestImpl

extends Object
implements AtomRequest

Default request implementation.

Constructor Summary
`AtomRequestImpl(HttpServletRequest wrapped)`

Method Summary
`int` | `getContentLength()` Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known.
`String` | `getContentType()` Returns the MIME type of the body of the request, or null if the type is not known.
`long` | `getDateHeader(String arg0)` Returns the value of the specified request header as a long value that represents a Date object.
`String` | `getHeader(String arg0)` Returns the value of the specified request header as a String.
`Enumeration` | `getHeaderNames()` Returns an enumeration of all the header names this request contains.
`Enumeration` | `getHeaders(String arg0)` Returns all the values of the specified request header as an Enumeration of String objects.
`InputStream` | `getInputStream()` Retrieves the body of the request as binary data using a ServletInputStream.
`int` | `getIntHeader(String arg0)` Returns the value of the specified request header as an int.
`String` | `getParameter(String arg0)` Returns the value of a request parameter as a String, or null if the parameter does not exist.
`Map` | `getParameterMap()` Returns a java.util.Map of the parameters of this request.
`Enumeration` | `getParameterNames()` Returns an Enumeration of String objects containing the names of the parameters contained in this request.
`String[]` | `getParameterValues(String arg0)` Returns an array of String objects containing all of the values the given request parameter has, or null if the parameter does not exist.
`String` | `getPathInfo()` Returns any extra path information associated with the URL the client sent when it made this request.
`String` | `getQueryString()` Returns the query string that is contained in the request URL after the path.
`String` | `getRemoteUser()` Returns the login of the user making this request, if the user has been authenticated, or null if the user has not been authenticated.
`String` | `getRequestURI()` Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.
`StringBuffer` | `getRequestURL()` Reconstructs the URL the client used to make the request.
`Principal` | `getUserPrincipal()` Returns a java.security.Principal object containing the name of the current authenticated user.
`boolean` | `isUserInRole(String arg0)` Returns a boolean indicating whether the authenticated user is included in the specified logical "role".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtomRequestImpl

    public AtomRequestImpl(HttpServletRequest wrapped)

Method Detail

### getPathInfo

    public String getPathInfo()

  Description copied from interface: `AtomRequest`
  Returns any extra path information associated with the URL the client sent when it made this request.

  Specified by:
    `getPathInfo` in interface `AtomRequest`

### getQueryString

    public String getQueryString()

  Description copied from interface: `AtomRequest`
  Returns the query string that is contained in the request URL after the path.

  Specified by:
    `getQueryString` in interface `AtomRequest`

### getRemoteUser

    public String getRemoteUser()

  Description copied from interface: `AtomRequest`
  Returns the login of the user making this request, if the user has been authenticated, or null if the user has not been authenticated.

  Specified by:
    `getRemoteUser` in interface `AtomRequest`

### isUserInRole

    public boolean isUserInRole(String arg0)

  Description copied from interface: `AtomRequest`
  Returns a boolean indicating whether the authenticated user is included in the specified logical "role".

  Specified by:
    `isUserInRole` in interface `AtomRequest`

### getUserPrincipal

    public Principal getUserPrincipal()

  Description copied from interface: `AtomRequest`
  Returns a java.security.Principal object containing the name of the current authenticated user.

  Specified by:
    `getUserPrincipal` in interface `AtomRequest`

### getRequestURI

    public String getRequestURI()

  Description copied from interface: `AtomRequest`
  Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.

  Specified by:
    `getRequestURI` in interface `AtomRequest`

### getRequestURL

    public StringBuffer getRequestURL()

  Description copied from interface: `AtomRequest`
  Reconstructs the URL the client used to make the request.

  Specified by:
    `getRequestURL` in interface `AtomRequest`

### getContentLength

    public int getContentLength()

  Description copied from interface: `AtomRequest`
  Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known.

  Specified by:
    `getContentLength` in interface `AtomRequest`

### getContentType

    public String getContentType()

  Description copied from interface: `AtomRequest`
  Returns the MIME type of the body of the request, or null if the type is not known.

  Specified by:
    `getContentType` in interface `AtomRequest`

### getParameter

    public String getParameter(String arg0)

  Description copied from interface: `AtomRequest`
  Returns the value of a request parameter as a String, or null if the parameter does not exist.

  Specified by:
    `getParameter` in interface `AtomRequest`

### getParameterNames

    public Enumeration getParameterNames()

  Description copied from interface: `AtomRequest`
  Returns an Enumeration of String objects containing the names of the parameters contained in this request.

  Specified by:
    `getParameterNames` in interface `AtomRequest`

### getParameterValues

    public String[] getParameterValues(String arg0)

  Description copied from interface: `AtomRequest`
  Returns an array of String objects containing all of the values the given request parameter has, or null if the parameter does not exist.

  Specified by:
    `getParameterValues` in interface `AtomRequest`

### getParameterMap

    public Map getParameterMap()

  Description copied from interface: `AtomRequest`
  Returns a java.util.Map of the parameters of this request.

  Specified by:
    `getParameterMap` in interface `AtomRequest`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Description copied from interface: `AtomRequest`
  Retrieves the body of the request as binary data using a ServletInputStream.

  Specified by:
    `getInputStream` in interface `AtomRequest`
  Throws:
    `IOException`

### getDateHeader

    public long getDateHeader(String arg0)

  Description copied from interface: `AtomRequest`
  Returns the value of the specified request header as a long value that represents a Date object.

  Specified by:
    `getDateHeader` in interface `AtomRequest`

### getHeader

    public String getHeader(String arg0)

  Description copied from interface: `AtomRequest`
  Returns the value of the specified request header as a String.

  Specified by:
    `getHeader` in interface `AtomRequest`

### getHeaders

    public Enumeration getHeaders(String arg0)

  Description copied from interface: `AtomRequest`
  Returns all the values of the specified request header as an Enumeration of String objects.

  Specified by:
    `getHeaders` in interface `AtomRequest`

### getHeaderNames

    public Enumeration getHeaderNames()

  Description copied from interface: `AtomRequest`
  Returns an enumeration of all the header names this request contains.

  Specified by:
    `getHeaderNames` in interface `AtomRequest`

### getIntHeader

    public int getIntHeader(String arg0)

  Description copied from interface: `AtomRequest`
  Returns the value of the specified request header as an int.

  Specified by:
    `getIntHeader` in interface `AtomRequest`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD